#-- start of make_header -----------------

#====================================
#  Document URZoomSeveralDict
#
#   Generated Fri Oct 26 10:21:41 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

URZoomSeveralDict ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'URZoomSeveralDict'

#-- end of make_header ------------------

URZoomSeveralDict_fileList :=

URZoomSeveralDict :: ${bin}URZoomSeveralDict.cc
	@echo "------> URZoomSeveralDict ok"

URZoomSeveral_cc_dependencies = ../src/mysiesta/URZoomSeveral.cc
URZoomSeveral_LinkDef_h_dependencies = ../src/mysiesta/URZoomSeveral_LinkDef.h

URZoomSeveralDict_fileList := ${URZoomSeveralDict_fileList} $(src)mysiesta/URZoomSeveral.cc


URZoomSeveralDict_fileList := ${URZoomSeveralDict_fileList} $(src)mysiesta/URZoomSeveral_LinkDef.h


${bin}URZoomSeveralDict.cc : ${URZoomSeveralDict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${URZoomSeveralDict_rootcint_flags} \
	  ${URZoomSeveralDict_fileList}

URZoomSeveralDictclean :: URZoomSeveralDictmyClean

URZoomSeveralDictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}URZoomSeveralDict.*

#-- start of cleanup_header --------------

clean :: URZoomSeveralDictclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

URZoomSeveralDictclean ::
#-- end of cleanup_header ---------------
