#-- start of make_header -----------------

#====================================
#  Document VDyPlotDict
#
#   Generated Fri Oct 26 10:21:40 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

VDyPlotDict ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VDyPlotDict'

#-- end of make_header ------------------

VDyPlotDict_fileList :=

VDyPlotDict :: ${bin}VDyPlotDict.cc
	@echo "------> VDyPlotDict ok"

VDyPlot_h_dependencies = ../src/mysiesta/VDyPlot.h

VDyPlotDict_fileList := ${VDyPlotDict_fileList} $(src)mysiesta/VDyPlot.h


${bin}VDyPlotDict.cc : ${VDyPlotDict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${VDyPlotDict_rootcint_flags} \
	  ${VDyPlotDict_fileList}

VDyPlotDictclean :: VDyPlotDictmyClean

VDyPlotDictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}VDyPlotDict.*

#-- start of cleanup_header --------------

clean :: VDyPlotDictclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

VDyPlotDictclean ::
#-- end of cleanup_header ---------------
