#-- start of make_header -----------------

#====================================
#  Document VViewerSelectorDict
#
#   Generated Fri Oct 26 10:21:40 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

VViewerSelectorDict ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VViewerSelectorDict'

#-- end of make_header ------------------

VViewerSelectorDict_fileList :=

VViewerSelectorDict :: ${bin}VViewerSelectorDict.cc
	@echo "------> VViewerSelectorDict ok"

VViewerSelector_h_dependencies = ../src/mysiesta/VViewerSelector.h
VViewerSelectorCint_h_dependencies = ../src/mysiesta/VViewerSelectorCint.h
VViewerSelector_LinkDef_h_dependencies = ../src/mysiesta/VViewerSelector_LinkDef.h

VViewerSelectorDict_fileList := ${VViewerSelectorDict_fileList} $(src)mysiesta/VViewerSelector.h


VViewerSelectorDict_fileList := ${VViewerSelectorDict_fileList} $(src)mysiesta/VViewerSelectorCint.h


VViewerSelectorDict_fileList := ${VViewerSelectorDict_fileList} $(src)mysiesta/VViewerSelector_LinkDef.h


${bin}VViewerSelectorDict.cc : ${VViewerSelectorDict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${VViewerSelectorDict_rootcint_flags} \
	  ${VViewerSelectorDict_fileList}

VViewerSelectorDictclean :: VViewerSelectorDictmyClean

VViewerSelectorDictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}VViewerSelectorDict.*

#-- start of cleanup_header --------------

clean :: VViewerSelectorDictclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

VViewerSelectorDictclean ::
#-- end of cleanup_header ---------------
