#-- start of make_header -----------------

#====================================
#  Application dataDisplay
#
#   Generated Fri Oct 26 10:21:42 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

dataDisplay ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'dataDisplay'

#-- end of make_header ------------------
#-- start of application_header

dataDisplay :: dirs  $(bin)dataDisplay${application_suffix}
	@/bin/echo "------> dataDisplay ok"

#-- end of application_header
#-- start of application

$(bin)dataDisplay${application_suffix} :: $(bin)dataDisplay.o $(use_stamps) $(dataDisplaystamps)
	$(link_echo) $@
	$(link_silent) cd $(bin); g++ -o dataDisplay.exe.new $(bin)dataDisplay.o $(use_linkopts) $(dataDisplaylinkopts); mv -f dataDisplay.exe.new dataDisplay${application_suffix}

###
### Preparing for next management of use_linkopts and auto_imports :
###  will use  <constituent>_use_linkopts instead of use_linkopts
###
###    $(link_silent) cd $(bin); \
###      g++ -o dataDisplay.exe.new $(bin)dataDisplay.o \
###      $(dataDisplay_use_linkopts) $(dataDisplaylinkopts); \
###      mv -f dataDisplay.exe.new dataDisplay${application_suffix}
###	 $(link_silent) cd $(bin); g++ -o dataDisplay.exe.new $(bin)dataDisplay.o $(dataDisplay_use_linkopts) $(dataDisplaylinkopts); mv -f dataDisplay.exe.new dataDisplay${application_suffix}



#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/bin
dataDisplayinstallname = dataDisplay${application_suffix}

dataDisplay :: dataDisplayinstall

install :: dataDisplayinstall

dataDisplayinstall :: $(install_dir)/$(dataDisplayinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(dataDisplayinstallname) :: $(bin)$(dataDisplayinstallname)
	if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$(PACKAGE_ROOT)/$(tag)" "$(dataDisplayinstallname)" "$(install_dir)" "$(cmt_install_area_command)" ; \
	fi

dataDisplayclean :: dataDisplayuninstall

uninstall :: dataDisplayuninstall

dataDisplayuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$(PACKAGE_ROOT)/$(tag)" "$(dataDisplayinstallname)" "$(install_dir)" ; \
	fi

#-- end of application
#-- start of dependency ------------------

$(bin)dataDisplay_dependencies.make :: dirs

$(bin)dataDisplay_dependencies.make :: $(src)dataDisplay.c  requirements $(use_requirements)
	@echo "------> (dataDisplay.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) dataDisplay $${args}

-include $(bin)dataDisplay_dependencies.make

#-- end of dependency -------------------
#-- start of c ------

$(bin)dataDisplay.o : $(dataDisplay_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o dataDisplay.o $(use_pp_cflags) $(dataDisplay_pp_cflags) $(app_dataDisplay_pp_cflags) $(dataDisplay_pp_cflags) $(use_cflags) $(dataDisplay_cflags) $(app_dataDisplay_cflags) $(dataDisplay_cflags) $(dataDisplay_c_cflags)  $(src)dataDisplay.c


#-- end of c ------
#-- start of cleanup_header --------------

clean :: dataDisplayclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

dataDisplayclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_application ------
	-$(cleanup_echo) dataDisplay${application_suffix}
	-$(cleanup_silent) cd $(bin); /bin/rm -f dataDisplay${application_suffix}
#-- end of cleanup_application ------
#-- start of cleanup_objects ------
	$(cleanup_echo) objects
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)dataDisplay.o
#-- end of cleanup_objects ------
