#-- start of make_header -----------------

#====================================
#  Document dyincpath
#
#   Generated Fri Oct 26 10:21:40 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

dyincpath ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'dyincpath'

#-- end of make_header ------------------

dyincpath :: ${src}dyincpath.h
	@echo "------> dyincpath ok"

# Build the configuration header
${src}dyincpath.h : ../src/dyincpath.in

	@echo "Generating dyincpath header $@"

	@# We proceed with the normal configuration
	@sed  -e "s|@dyincpath@|-I${FRROOT}/src -I${DYROOT}/src/mysiesta|" \
	 < ../src/dyincpath.in > $@



dyincpathclean :: dyincpathmyClean

dyincpathmyClean ::
	-$(cleanup_echo) ${bin}dyincpath.h
	-$(cleanup_silent) rm -f ${bin}dyincpath.h
#-- start of cleanup_header --------------

clean :: dyincpathclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

dyincpathclean ::
#-- end of cleanup_header ---------------
