#ifndef __DyFdShm_ph__
#define __DyFdShm_ph__

#ifdef __cplusplus
extern "C" {
#endif

void FdShmInfoFree  (struct ShmInfo *shm);
long FdShmGetIwrite  (struct ShmInfo *shm);
long FdShmGetnFrameMax  (struct ShmInfo *shm);
void FdShmSetDynamic  (struct ShmInfo *shm, long dynamic);
void FdShmFree  (struct ShmInfo *shm, char *name);
void FdShmClose  (struct ShmInfo *shm, char *name);
struct ShmInfo *FdShmOpen  (char *idName, char *name);
int FdShmMakeKey  (char *name);
long FdShmCsmIni  (struct ShmInfo *temp, long *shmiread);
struct FrameH *FdShmRead  (struct ShmInfo *shm, long *shmiread, long compress, int *nBytes);
struct FrameH *FdShmReadDynamic  (struct ShmInfo *shm, long *shmiread, long compress, int *nBytes);

#ifdef __cplusplus
}
#endif

#endif

