#ifndef __DyFiles_ph__
#define __DyFiles_ph__

#ifdef __cplusplus
extern "C" {
#endif

struct FrameH *DyWaveToFrame  (char *wavefileName, double framedt);
int DyReadFirstFrame  (char *chosen_file, long arg);
double DyGetFramedt  (struct FrameH *frame);
void DyAddDir  (char *directory, char *file, long arg);
void DyXformAddFile  (FL_OBJECT *obj, long arg);
void DyXformRemoveFile  (FL_OBJECT *obj, long arg);
char *DyBaseName  (char *allname);
char *DyGetDir  (char *dirname, char *allname);
long DySortFiles  (char *dirName, char **fileName);
long is_a_file  (char *str);
long is_a_dir  (char *str);
void DyAddShm (char *shmname);
int DyGetShmList ();
void DyUpdateShmList ();

#ifdef __cplusplus
}
#endif

#endif

