#ifndef __DyXform_ph__
#define __DyXform_ph__

#ifdef __cplusplus
extern "C" {
#endif

void DyXformSetDebug  (FL_OBJECT *obj, long arg);
void DyXformScanPlots  (FL_OBJECT *obj, long arg);
void DyXformSetMaxDuration  (FL_OBJECT *obj, long arg);
void DyXformOutputDefault  (FL_OBJECT *obj, long arg);
void DyXformOutputToPanel ();
void DyXformPanelToOutput  (FL_OBJECT *obj, long arg);
void DyColorPalette  (FL_OBJECT *obj, long arg);
void DyXformGetButton  (FL_OBJECT *obj, long arg);
void DyXformAutoDeselect  (FL_OBJECT *obj, long arg);
void DyXformNow  (FL_OBJECT *obj, long arg);
void DyAudioControl  (FL_OBJECT *obj, long arg);
void DyXformAddUserChannel  (struct FrameH *frame, FL_OBJECT *obj, char *className, char *inputVect);
void DyXformGetstartTime  (FL_OBJECT *obj, long arg);
void DyXformFilterBrowser  (FL_OBJECT *obj, long arg);
void DyXformGetPrefix  (FL_OBJECT *browser);
void DyXformFindInBrowser  (FL_OBJECT *obj, long arg);
void DyXformSetScanStep  (double step);
void DyXformIni  (char **argv, int *myargc);
void DyXformRaz  (FL_OBJECT *obj, long arg);
void DyInfoLine  (char *msg);
void DyInfoPanel  (char *msg, int alarm);
void DyCurrentInput  (char *msg);
void DyXformUpdateCounters  (int frameN, int runN, int gtime, int uleaps);
void DyXformUpdateGTime  (double gtime, int uleaps);
void DyXformFirstLast  (long *start, long *duration, int *startFrame, int *startRun);
void DyXformStart  (FL_OBJECT *obj, long arg);
void DyXformSetNoToc  (FL_OBJECT *obj, long arg);
void DyXformPause  (FL_OBJECT *obj, long arg);
void DyXformContinue  (FL_OBJECT *obj, long arg);
void DyXformNext  (FL_OBJECT *obj, long arg);
void DyXformStop  (FL_OBJECT *obj, long arg);
void DyXformMenu  (FL_OBJECT *obj, long arg);
void DyXformRaisePanel  (FL_OBJECT *obj, long arg);
void DyXformClosePanel  (FL_OBJECT *obj, long arg);
void DyXformCleanPanel  (FL_OBJECT *obj, long arg);
void DyXformCmName  (FL_OBJECT *obj, long arg);
void DyXformCmConnect  (FL_OBJECT *obj, long arg);
void DyXformUpdateCmList  (FL_OBJECT *obj, long arg);
void DyXformAddShm  (FL_OBJECT *obj, long arg);
void DyXformUpdateShmList  (FL_OBJECT *obj, long arg);
void DyXformDdGetFile  (FL_OBJECT *obj, long arg);
void DyXformDdGetChlist  (FL_OBJECT *obj, long arg);
void DyXformSavePlot  (FL_OBJECT *obj, long arg);
void DyXformSetRefPlot  (FL_OBJECT *obj, long arg);
void DyXformGetRefPlot  (FL_OBJECT *obj, long arg);
void DyXformAddToRefList  (char *fileName, int color);
void DyXformRemoveRefFile  (FL_OBJECT *obj, long arg);
void DyXformRemove2DRefFile  (FL_OBJECT *obj, long arg);
void DyXformEditRefFile  (FL_OBJECT *obj, long arg);
void DyXformHideShowPlot  (FL_OBJECT *obj, long arg);
void DyXformTransformPlot  (FL_OBJECT *obj, long arg);
void DyXformUpdatePlotBrowser  (long id, long arg);
void DyXformPutDefaultInPanel  (FL_OBJECT *obj, long arg);
void DyXformRootUtil  (FL_OBJECT *obj, long arg);
void DyXformDeSelect  (FL_OBJECT *obj, long arg);
void DyXformSortBrowser  (FL_OBJECT *browser);
void DyXformAddToFileList  (char *fileName);
void DyXformAddDir  (FL_OBJECT *obj, long arg);
void DyXformSortFileList ();
void DyXformAddInDump  (char *str);

#ifdef __cplusplus
}
#endif

#endif

