/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "plot1dtime.h"

FD_plot1dtime *create_form_plot1dtime(void)
{
  FL_OBJECT *obj;
  FD_plot1dtime *fdui = (FD_plot1dtime *) fl_calloc(1, sizeof(*fdui));

  fdui->plot1dtime = fl_bgn_form(FL_NO_BOX, 460, 390);
  obj = fl_add_box(FL_UP_BOX,0,0,460,390,"");
    fl_set_object_color(obj,FL_DARKCYAN,FL_COL1);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,360,200,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,220,360,130,"");
  fdui->ok = obj = fl_add_button(FL_NORMAL_BUTTON,10,360,50,30,"OK");
    fl_set_object_color(obj,FL_WHITE,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformEditPlot,4);
  fdui->name = obj = fl_add_input(FL_NORMAL_INPUT,60,20,300,30,"Name");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->close = obj = fl_add_button(FL_NORMAL_BUTTON,320,360,50,30,"Cancel");
    fl_set_object_color(obj,FL_WHEAT,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformClosePanel,4);
  fdui->xMin = obj = fl_add_input(FL_FLOAT_INPUT,150,270,80,30,"yMin / yMax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xMax = obj = fl_add_input(FL_FLOAT_INPUT,230,270,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->tsize = obj = fl_add_input(FL_FLOAT_INPUT,210,100,100,30,"Time Window for 1D statistics (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->sampFreq = obj = fl_add_input(FL_FLOAT_INPUT,210,130,100,30,"Sampl. Freq. (Hz)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,100,360,200,20,"Time-1D Plot");
    fl_set_object_color(obj,FL_DARKCYAN,FL_MCOL);
    fl_set_object_lcolor(obj,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE+FL_SHADOW_STYLE);
  fdui->bydefault = obj = fl_add_button(FL_NORMAL_BUTTON,380,320,70,30,"Default");
    fl_set_object_color(obj,FL_LEFT_BCOL,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
    fl_set_object_callback(obj,DyXformPutDefaultInPanel,0);
  fdui->gridx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,90,60,20,"gridx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,110,60,20,"gridy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logy = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,40,60,20,"logy");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logx = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,20,60,20,"logx");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->nodc = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,230,70,20,"noDC");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->realUnits = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,200,70,20,"unitsY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->timeSize = obj = fl_add_input(FL_FLOAT_INPUT,210,60,100,30,"Time Window (s)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->gridz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,130,60,20,"gridz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->logz = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,60,60,20,"logz");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmax = obj = fl_add_input(FL_FLOAT_INPUT,230,310,80,30,"");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoScale = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,180,70,20,"autoZ");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->refresh_percent = obj = fl_add_input(FL_FLOAT_INPUT,220,230,90,30,"refresh Period (% of Time window)");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->xnBin = obj = fl_add_input(FL_INT_INPUT,210,170,100,30,"nBin of the 1D distribution");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->autoEdge = obj = fl_add_lightbutton(FL_PUSH_BUTTON,380,160,70,20,"autoY");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->timeSize_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,60,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->tsize_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,100,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->sampFreq_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,130,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->xnBin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,170,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->refresh_percent_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,230,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->xMax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,270,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->zmax_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,340,310,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->xMin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,270,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fdui->minmax_resample = obj = fl_add_checkbutton(FL_PUSH_BUTTON,80,130,30,30,"mimax");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmin = obj = fl_add_input(FL_FLOAT_INPUT,150,310,80,30,"Zmin / Zmax");
    fl_set_object_color(obj,FL_MCOL,FL_LEFT_BCOL);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_TIMESBOLD_STYLE);
  fdui->zmin_clone = obj = fl_add_round3dbutton(FL_PUSH_BUTTON,310,310,30,30,"");
    fl_set_object_color(obj,FL_COL1,FL_YELLOW);
  fl_end_form();

  fdui->plot1dtime->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

