#-- start of make_header -----------------

#====================================
#  Library Dy
#
#   Generated Fri Oct 26 10:21:41 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

Dy ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'Dy'

#-- end of make_header ------------------
#-- start of libary_header ---------------

Dylibname   = $(bin)$(library_prefix)Dy$(library_suffix)
Dylib       = $(Dylibname).a
Dystamp     = $(bin)Dy.stamp
Dyshstamp   = $(bin)Dy.shstamp

Dy :: dirs  DyLIB
	@/bin/echo "------> Dy ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

DyLIB :: $(Dylib) $(Dyshstamp)
	@/bin/echo "------> Dy : library ok"

$(Dylib) :: $(bin)DyFdShm.o $(bin)DyFd.o $(bin)DyUtil.o $(bin)DyXform.o $(bin)DyVar.o $(bin)DyCm.o $(bin)DyDd.o $(bin)DyConfig.o $(bin)DyDump.o $(bin)DyFiles.o $(bin)DyHelp.o $(bin)DyPlot.o $(bin)DyVisu.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)DyFrOutput.o $(bin)UArrayL.o $(bin)UFrameL.o $(bin)UJobL.o $(bin)UMathL.o $(bin)URPlot.o $(bin)USignalL.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)UserFctDict.o $(bin)cmservers.o $(bin)dumpdata.o $(bin)getdd.o $(bin)getshm.o $(bin)inputfile.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(Dylib) $?
	$(lib_silent) $(ranlib) $(Dylib)
	$(lib_silent) cat /dev/null >$(Dystamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(Dylibname).$(shlibsuffix) :: $(Dylib)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" Dy $(Dy_shlibflags)

$(Dyshstamp) :: $(Dylibname).$(shlibsuffix)
	@if test -f $(Dylibname).$(shlibsuffix) ; then cat /dev/null >$(Dyshstamp) ; fi

Dyclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)DyFdShm.o $(bin)DyFd.o $(bin)DyUtil.o $(bin)DyXform.o $(bin)DyVar.o $(bin)DyCm.o $(bin)DyDd.o $(bin)DyConfig.o $(bin)DyDump.o $(bin)DyFiles.o $(bin)DyHelp.o $(bin)DyPlot.o $(bin)DyVisu.o $(bin)fselector.o $(bin)DyXformUser.o $(bin)DyFrOutput.o $(bin)UArrayL.o $(bin)UFrameL.o $(bin)UJobL.o $(bin)UMathL.o $(bin)URPlot.o $(bin)USignalL.o $(bin)URootAccess.o $(bin)URootProcess.o $(bin)VDyPlot.o $(bin)VDyPlot2.o $(bin)VViewerSelector.o $(bin)VViewerSelectorCint.o $(bin)jmThread.o $(bin)VDyPlotDict.o $(bin)VDyPlot2Dict.o $(bin)URZoomSeveralDict.o $(bin)Wrapper_checkDict.o $(bin)VViewerSelectorDict.o $(bin)UserFctDict.o $(bin)cmservers.o $(bin)dumpdata.o $(bin)getdd.o $(bin)getshm.o $(bin)inputfile.o $(bin)mainbrowser.o $(bin)plot1d.o $(bin)mainpanel.o $(bin)plot2d.o $(bin)plotaudio.o $(bin)plotgenepar.o $(bin)plotfft.o $(bin)plotffttime.o $(bin)plot1dtime.o $(bin)plotrawtime.o $(bin)plottrfct.o $(bin)plottime.o $(bin)userfuncbrowser.o $(bin)plotraw.o $(bin)dydebug.o $(bin)dyoptions.o $(bin)dyoutput.o $(bin)reffile.o

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
Dyinstallname = $(library_prefix)Dy$(library_suffix).$(shlibsuffix)

Dy :: Dyinstall

install :: Dyinstall

Dyinstall :: $(install_dir)/$(Dyinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(Dyinstallname) :: $(bin)$(Dyinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_install_action) "$(PACKAGE_ROOT)/$(tag)" "$(Dyinstallname)" "$(install_dir)" "$(cmt_install_area_command)" ; \
	fi

Dyclean :: Dyuninstall

uninstall :: Dyuninstall

Dyuninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  CMTINSTALLAREA=${CMTINSTALLAREA}; export CMTINSTALLAREA; \
	  $(cmt_uninstall_action) "$(PACKAGE_ROOT)/$(tag)" "$(Dyinstallname)" "$(install_dir)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)Dy_dependencies.make :: dirs

$(bin)Dy_dependencies.make :: $(src)DyFdShm.c $(src)DyFd.c $(src)DyUtil.c $(src)DyXform.c $(src)DyVar.c $(src)DyCm.c $(src)DyDd.c $(src)DyConfig.c $(src)DyDump.c $(src)DyFiles.c $(src)DyHelp.c $(src)DyPlot.c $(src)DyVisu.c $(src)fselector.c $(src)DyXformUser.c $(src)DyFrOutput.c $(src)mysiesta/UArrayL.c $(src)mysiesta/UFrameL.c $(src)mysiesta/UJobL.c $(src)mysiesta/UMathL.c $(src)mysiesta/URPlot.c $(src)mysiesta/USignalL.c $(src)mysiesta/URootAccess.cc $(src)mysiesta/URootProcess.cc $(src)mysiesta/VDyPlot.cc $(src)mysiesta/VDyPlot2.cc $(src)mysiesta/VViewerSelector.cc $(src)mysiesta/VViewerSelectorCint.cc $(src)jmThread.c ../Linux-x86_64-SL5/VDyPlotDict.cc ../Linux-x86_64-SL5/VDyPlot2Dict.cc ../Linux-x86_64-SL5/URZoomSeveralDict.cc ../Linux-x86_64-SL5/Wrapper_checkDict.cc ../Linux-x86_64-SL5/VViewerSelectorDict.cc ../Linux-x86_64-SL5/UserFctDict.cc $(src)xform/cmservers.c $(src)xform/dumpdata.c $(src)xform/getdd.c $(src)xform/getshm.c $(src)xform/inputfile.c $(src)xform/mainbrowser.c $(src)xform/plot1d.c $(src)xform/mainpanel.c $(src)xform/plot2d.c $(src)xform/plotaudio.c $(src)xform/plotgenepar.c $(src)xform/plotfft.c $(src)xform/plotffttime.c $(src)xform/plot1dtime.c $(src)xform/plotrawtime.c $(src)xform/plottrfct.c $(src)xform/plottime.c $(src)xform/userfuncbrowser.c $(src)xform/plotraw.c $(src)xform/dydebug.c $(src)xform/dyoptions.c $(src)xform/dyoutput.c $(src)xform/reffile.c  requirements $(use_requirements)
	@echo "------> (Dy.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) Dy $${args}

-include $(bin)Dy_dependencies.make

#-- end of dependency -------------------
#-- start of c_library ------

$(bin)DyFdShm.o : $(DyFdShm_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyFdShm.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyFdShm_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyFdShm_cflags) $(DyFdShm_c_cflags)  $(src)DyFdShm.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyFd.o : $(DyFd_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyFd.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyFd_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyFd_cflags) $(DyFd_c_cflags)  $(src)DyFd.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyUtil.o : $(DyUtil_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyUtil.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyUtil_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyUtil_cflags) $(DyUtil_c_cflags)  $(src)DyUtil.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyXform.o : $(DyXform_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyXform.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyXform_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyXform_cflags) $(DyXform_c_cflags)  $(src)DyXform.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyVar.o : $(DyVar_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyVar.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyVar_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyVar_cflags) $(DyVar_c_cflags)  $(src)DyVar.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyCm.o : $(DyCm_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyCm.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyCm_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyCm_cflags) $(DyCm_c_cflags)  $(src)DyCm.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyDd.o : $(DyDd_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyDd.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyDd_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyDd_cflags) $(DyDd_c_cflags)  $(src)DyDd.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyConfig.o : $(DyConfig_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyConfig.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyConfig_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyConfig_cflags) $(DyConfig_c_cflags)  $(src)DyConfig.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyDump.o : $(DyDump_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyDump.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyDump_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyDump_cflags) $(DyDump_c_cflags)  $(src)DyDump.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyFiles.o : $(DyFiles_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyFiles.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyFiles_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyFiles_cflags) $(DyFiles_c_cflags)  $(src)DyFiles.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyHelp.o : $(DyHelp_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyHelp.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyHelp_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyHelp_cflags) $(DyHelp_c_cflags)  $(src)DyHelp.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyPlot.o : $(DyPlot_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyPlot.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyPlot_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyPlot_cflags) $(DyPlot_c_cflags)  $(src)DyPlot.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyVisu.o : $(DyVisu_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyVisu.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyVisu_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyVisu_cflags) $(DyVisu_c_cflags)  $(src)DyVisu.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)fselector.o : $(fselector_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o fselector.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(fselector_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(fselector_cflags) $(fselector_c_cflags)  $(src)fselector.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyXformUser.o : $(DyXformUser_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyXformUser.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyXformUser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyXformUser_cflags) $(DyXformUser_c_cflags)  $(src)DyXformUser.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)DyFrOutput.o : $(DyFrOutput_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o DyFrOutput.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(DyFrOutput_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(DyFrOutput_cflags) $(DyFrOutput_c_cflags)  $(src)DyFrOutput.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)UArrayL.o : $(UArrayL_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o UArrayL.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(UArrayL_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(UArrayL_cflags) $(UArrayL_c_cflags) -I../src/mysiesta $(src)mysiesta/UArrayL.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)UFrameL.o : $(UFrameL_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o UFrameL.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(UFrameL_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(UFrameL_cflags) $(UFrameL_c_cflags) -I../src/mysiesta $(src)mysiesta/UFrameL.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)UJobL.o : $(UJobL_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o UJobL.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(UJobL_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(UJobL_cflags) $(UJobL_c_cflags) -I../src/mysiesta $(src)mysiesta/UJobL.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)UMathL.o : $(UMathL_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o UMathL.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(UMathL_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(UMathL_cflags) $(UMathL_c_cflags) -I../src/mysiesta $(src)mysiesta/UMathL.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)URPlot.o : $(URPlot_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o URPlot.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(URPlot_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(URPlot_cflags) $(URPlot_c_cflags) -I../src/mysiesta $(src)mysiesta/URPlot.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)USignalL.o : $(USignalL_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o USignalL.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(USignalL_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(USignalL_cflags) $(USignalL_c_cflags) -I../src/mysiesta $(src)mysiesta/USignalL.c

#-- end of c_library ------
#-- start of cpp_library -----------------

$(bin)URootAccess.o : $(URootAccess_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o URootAccess.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URootAccess_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URootAccess_cppflags) $(URootAccess_cc_cppflags) -I../src/mysiesta $(src)mysiesta/URootAccess.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)URootProcess.o : $(URootProcess_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o URootProcess.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URootProcess_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URootProcess_cppflags) $(URootProcess_cc_cppflags) -I../src/mysiesta $(src)mysiesta/URootProcess.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VDyPlot.o : $(VDyPlot_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VDyPlot.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot_cppflags) $(VDyPlot_cc_cppflags) -I../src/mysiesta $(src)mysiesta/VDyPlot.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VDyPlot2.o : $(VDyPlot2_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VDyPlot2.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot2_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot2_cppflags) $(VDyPlot2_cc_cppflags) -I../src/mysiesta $(src)mysiesta/VDyPlot2.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VViewerSelector.o : $(VViewerSelector_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VViewerSelector.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelector_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelector_cppflags) $(VViewerSelector_cc_cppflags) -I../src/mysiesta $(src)mysiesta/VViewerSelector.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VViewerSelectorCint.o : $(VViewerSelectorCint_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VViewerSelectorCint.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelectorCint_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelectorCint_cppflags) $(VViewerSelectorCint_cc_cppflags) -I../src/mysiesta $(src)mysiesta/VViewerSelectorCint.cc

#-- end of cpp_library ------------------
#-- start of c_library ------

$(bin)jmThread.o : $(jmThread_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o jmThread.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(jmThread_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(jmThread_cflags) $(jmThread_c_cflags)  $(src)jmThread.c

#-- end of c_library ------
#-- start of cpp_library -----------------

$(bin)VDyPlotDict.o : $(VDyPlotDict_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VDyPlotDict.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlotDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlotDict_cppflags) $(VDyPlotDict_cc_cppflags) -I../Linux-x86_64-SL5 ../Linux-x86_64-SL5/VDyPlotDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VDyPlot2Dict.o : $(VDyPlot2Dict_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VDyPlot2Dict.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VDyPlot2Dict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VDyPlot2Dict_cppflags) $(VDyPlot2Dict_cc_cppflags) -I../Linux-x86_64-SL5 ../Linux-x86_64-SL5/VDyPlot2Dict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)URZoomSeveralDict.o : $(URZoomSeveralDict_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o URZoomSeveralDict.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(URZoomSeveralDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(URZoomSeveralDict_cppflags) $(URZoomSeveralDict_cc_cppflags) -I../Linux-x86_64-SL5 ../Linux-x86_64-SL5/URZoomSeveralDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)Wrapper_checkDict.o : $(Wrapper_checkDict_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o Wrapper_checkDict.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(Wrapper_checkDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(Wrapper_checkDict_cppflags) $(Wrapper_checkDict_cc_cppflags) -I../Linux-x86_64-SL5 ../Linux-x86_64-SL5/Wrapper_checkDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)VViewerSelectorDict.o : $(VViewerSelectorDict_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o VViewerSelectorDict.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(VViewerSelectorDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(VViewerSelectorDict_cppflags) $(VViewerSelectorDict_cc_cppflags) -I../Linux-x86_64-SL5 ../Linux-x86_64-SL5/VViewerSelectorDict.cc

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)UserFctDict.o : $(UserFctDict_cc_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o UserFctDict.o $(use_pp_cppflags) $(Dy_pp_cppflags) $(lib_Dy_pp_cppflags) $(UserFctDict_pp_cppflags) $(use_cppflags) $(Dy_cppflags) $(lib_Dy_cppflags) $(UserFctDict_cppflags) $(UserFctDict_cc_cppflags) -I../Linux-x86_64-SL5 ../Linux-x86_64-SL5/UserFctDict.cc

#-- end of cpp_library ------------------
#-- start of c_library ------

$(bin)cmservers.o : $(cmservers_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o cmservers.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(cmservers_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(cmservers_cflags) $(cmservers_c_cflags) -I../src/xform $(src)xform/cmservers.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)dumpdata.o : $(dumpdata_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o dumpdata.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dumpdata_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dumpdata_cflags) $(dumpdata_c_cflags) -I../src/xform $(src)xform/dumpdata.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)getdd.o : $(getdd_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o getdd.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(getdd_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(getdd_cflags) $(getdd_c_cflags) -I../src/xform $(src)xform/getdd.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)getshm.o : $(getshm_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o getshm.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(getshm_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(getshm_cflags) $(getshm_c_cflags) -I../src/xform $(src)xform/getshm.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)inputfile.o : $(inputfile_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o inputfile.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(inputfile_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(inputfile_cflags) $(inputfile_c_cflags) -I../src/xform $(src)xform/inputfile.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)mainbrowser.o : $(mainbrowser_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o mainbrowser.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(mainbrowser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(mainbrowser_cflags) $(mainbrowser_c_cflags) -I../src/xform $(src)xform/mainbrowser.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plot1d.o : $(plot1d_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plot1d.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot1d_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot1d_cflags) $(plot1d_c_cflags) -I../src/xform $(src)xform/plot1d.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)mainpanel.o : $(mainpanel_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o mainpanel.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(mainpanel_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(mainpanel_cflags) $(mainpanel_c_cflags) -I../src/xform $(src)xform/mainpanel.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plot2d.o : $(plot2d_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plot2d.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot2d_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot2d_cflags) $(plot2d_c_cflags) -I../src/xform $(src)xform/plot2d.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plotaudio.o : $(plotaudio_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plotaudio.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotaudio_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotaudio_cflags) $(plotaudio_c_cflags) -I../src/xform $(src)xform/plotaudio.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plotgenepar.o : $(plotgenepar_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plotgenepar.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotgenepar_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotgenepar_cflags) $(plotgenepar_c_cflags) -I../src/xform $(src)xform/plotgenepar.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plotfft.o : $(plotfft_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plotfft.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotfft_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotfft_cflags) $(plotfft_c_cflags) -I../src/xform $(src)xform/plotfft.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plotffttime.o : $(plotffttime_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plotffttime.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotffttime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotffttime_cflags) $(plotffttime_c_cflags) -I../src/xform $(src)xform/plotffttime.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plot1dtime.o : $(plot1dtime_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plot1dtime.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plot1dtime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plot1dtime_cflags) $(plot1dtime_c_cflags) -I../src/xform $(src)xform/plot1dtime.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plotrawtime.o : $(plotrawtime_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plotrawtime.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotrawtime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotrawtime_cflags) $(plotrawtime_c_cflags) -I../src/xform $(src)xform/plotrawtime.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plottrfct.o : $(plottrfct_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plottrfct.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottrfct_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottrfct_cflags) $(plottrfct_c_cflags) -I../src/xform $(src)xform/plottrfct.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plottime.o : $(plottime_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plottime.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plottime_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plottime_cflags) $(plottime_c_cflags) -I../src/xform $(src)xform/plottime.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)userfuncbrowser.o : $(userfuncbrowser_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o userfuncbrowser.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(userfuncbrowser_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(userfuncbrowser_cflags) $(userfuncbrowser_c_cflags) -I../src/xform $(src)xform/userfuncbrowser.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)plotraw.o : $(plotraw_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o plotraw.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(plotraw_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(plotraw_cflags) $(plotraw_c_cflags) -I../src/xform $(src)xform/plotraw.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)dydebug.o : $(dydebug_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o dydebug.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dydebug_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dydebug_cflags) $(dydebug_c_cflags) -I../src/xform $(src)xform/dydebug.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)dyoptions.o : $(dyoptions_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o dyoptions.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyoptions_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyoptions_cflags) $(dyoptions_c_cflags) -I../src/xform $(src)xform/dyoptions.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)dyoutput.o : $(dyoutput_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o dyoutput.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(dyoutput_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(dyoutput_cflags) $(dyoutput_c_cflags) -I../src/xform $(src)xform/dyoutput.c

#-- end of c_library ------
#-- start of c_library ------

$(bin)reffile.o : $(reffile_c_dependencies)
	$(c_echo) $@
	$(c_silent) cd $(bin); $(ccomp) -o reffile.o $(use_pp_cflags) $(Dy_pp_cflags) $(lib_Dy_pp_cflags) $(reffile_pp_cflags) $(use_cflags) $(Dy_cflags) $(lib_Dy_cflags) $(reffile_cflags) $(reffile_c_cflags) -I../src/xform $(src)xform/reffile.c

#-- end of c_library ------
#-- start of cleanup_header --------------

clean :: Dyclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

Dyclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(library_prefix)Dy$(library_suffix).a $(library_prefix)Dy$(library_suffix).s? Dy.stamp Dy.shstamp
#-- end of cleanup_library ---------------

