#-- start of make_header -----------------

#====================================
#  Document UserFctDict
#
#   Generated Fri Oct 26 10:21:40 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

UserFctDict ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'UserFctDict'

#-- end of make_header ------------------

UserFctDict_fileList :=

UserFctDict :: ${bin}UserFctDict.cc
	@echo "------> UserFctDict ok"

AddVect_C_dependencies = ../src/userfct/AddVect.C
DivVect_C_dependencies = ../src/userfct/DivVect.C
HighPassFilter_C_dependencies = ../src/userfct/HighPassFilter.C
Integrator_C_dependencies = ../src/userfct/Integrator.C
LowPassFilter_C_dependencies = ../src/userfct/LowPassFilter.C
MultVect_C_dependencies = ../src/userfct/MultVect.C
SubVect_C_dependencies = ../src/userfct/SubVect.C
AddVect_h_dependencies = ../src/userfct/AddVect.h
DivVect_h_dependencies = ../src/userfct/DivVect.h
HighPassFilter_h_dependencies = ../src/userfct/HighPassFilter.h
Integrator_h_dependencies = ../src/userfct/Integrator.h
LowPassFilter_h_dependencies = ../src/userfct/LowPassFilter.h
MultVect_h_dependencies = ../src/userfct/MultVect.h
SubVect_h_dependencies = ../src/userfct/SubVect.h
UserFct_LinkDef_h_dependencies = ../src/userfct/UserFct_LinkDef.h

UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/AddVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/DivVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/HighPassFilter.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/Integrator.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/LowPassFilter.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/MultVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/SubVect.C


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/AddVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/DivVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/HighPassFilter.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/Integrator.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/LowPassFilter.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/MultVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/SubVect.h


UserFctDict_fileList := ${UserFctDict_fileList} $(src)userfct/UserFct_LinkDef.h


${bin}UserFctDict.cc : ${UserFctDict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${UserFctDict_rootcint_flags} \
	  ${UserFctDict_fileList}

UserFctDictclean :: UserFctDictmyClean

UserFctDictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}UserFctDict.*

#-- start of cleanup_header --------------

clean :: UserFctDictclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

UserFctDictclean ::
#-- end of cleanup_header ---------------
