#-- start of make_header -----------------

#====================================
#  Document VDyPlot2Dict
#
#   Generated Fri Oct 26 10:21:41 2012  by verkindt
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

tags      = $(CMTCONFIG),$(CMTEXTRATAGS)

Dy_tag = $(tag)

include $(Dy_tag).make

VDyPlot2Dict ::

dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'VDyPlot2Dict'

#-- end of make_header ------------------

VDyPlot2Dict_fileList :=

VDyPlot2Dict :: ${bin}VDyPlot2Dict.cc
	@echo "------> VDyPlot2Dict ok"

VDyPlot2_h_dependencies = ../src/mysiesta/VDyPlot2.h

VDyPlot2Dict_fileList := ${VDyPlot2Dict_fileList} $(src)mysiesta/VDyPlot2.h


${bin}VDyPlot2Dict.cc : ${VDyPlot2Dict_fileList}
	@echo Generating dictionary ${@}
	rootcint -f ${@} -c $(includes) \
	  ${rootcint_flags} ${VDyPlot2Dict_rootcint_flags} \
	  ${VDyPlot2Dict_fileList}

VDyPlot2Dictclean :: VDyPlot2DictmyClean

VDyPlot2DictmyClean ::
	-$(cleanup_echo) ROOT dictionary
	-$(cleanup_silent) rm -f ${bin}VDyPlot2Dict.*

#-- start of cleanup_header --------------

clean :: VDyPlot2Dictclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

VDyPlot2Dictclean ::
#-- end of cleanup_header ---------------
