#ifndef __DyConfig_ph__
#define __DyConfig_ph__

#ifdef __cplusplus
extern "C" {
#endif

void DyXformSaveConfig  (FL_OBJECT *obj, long arg);
void DyXformGetConfigFile  (FL_OBJECT *obj, long arg);
char *DyReadConfigFile  (char *config_filename);
void DyGetConfig  (char *config);
int DyGetStartEndFromConfig  (char **wordlist, long *i, long nword);
int DyGetRowColFromConfig  (char **wordlist, long *i, long nword);
void DyGetVectOpFromConfig  (char **wordlist, long *i);
long DyGetClocksFromConfig  (char **wordlist, long *i, long nword);
long DyGetFilesFromConfig  (char **wordlist, long *i, long nword, long arg);
long DyGetPlotFromConfig  (char **wordlist, long *i, long nword, long id);
void DyGetPlotOptions  (long id, char **wordlist, long *i, long nword);
void DyMakeTriggerString  ();
long DyMakeClockString  ();
int DyPPCM  (double *freqClock, int nclock, double *fastest);
int compute_pgcd  (int nbr1, int nbr2);
long DyMakeFileString  (long arg);
void DyMakeTag  (char *tag);
char *DyAddToTag  (char *tag, char *name);
void DyMakePlotString  (long id);
void DyMakeStartEndString  ();
void DyMakeRowColString  ();
long DyMakeSiestaFile  (char *fileName, int noroot);
void DyMakeAlgoString  (FILE *fp);
void DyMakePlotOptions  (long id, char *options, char *options2);

#ifdef __cplusplus
}
#endif

#endif

