#ifndef __DyPlot_ph__
#define __DyPlot_ph__

#ifdef __cplusplus
extern "C" {
#endif

void DyXformSetPlot  (FL_OBJECT *obj, long arg);
void DyXformSetOnePlot  (FL_OBJECT *obj, long arg);
void DyXformSetOnePlotVarY  (FL_OBJECT *obj, long arg);
void DyXformEditPlot  (FL_OBJECT *obj, long arg);
void DyXformGetPlotPanel  (FL_OBJECT *obj, long arg);
void DyXformRemovePlot  (FL_OBJECT *obj, long arg);
void DyXformClonePlot  (FL_OBJECT *obj, long arg);
void DyCopyPlot  (long idout, long idin);
void DyCopyPlotForSame  (struct DyPlot *target, struct DyPlot *source);
void DyXformPlotToPanel  (long id);
void DyXformGetGeneParPanel  (FL_OBJECT *obj, long arg);
void DyXformGeneParToPlot  (FL_OBJECT *obj, long arg);
void DyXformPutDefaultInAllPlots  (FL_OBJECT *obj, long arg);
long DyXformPanelToPlot  (long id);
void DyUpdatePlotName  (int id);
void DyUpdatePlotParam  (struct FrameH *frame, int id);
void DyPutDefaultInPlot  (long id);
void DyConstrain  (double *value);
void DyGetDefaultFromPlot  (long id);
void DyPlotInit  (long id, long arg);
void DyXformSamePlot  (FL_OBJECT *obj, long arg);
void DyXformUnsamePlot  (FL_OBJECT *obj, long arg);
void DyXformExchangeVar  (FL_OBJECT *obj, long arg);
void DyXformPlotUp  (FL_OBJECT *obj, long arg);
void DyXformPlotDown  (FL_OBJECT *obj, long arg);

#ifdef __cplusplus
}
#endif

#endif

