#ifndef __UJobL_ph__
#define __UJobL_ph__

#ifdef __cplusplus
extern "C" {
#endif

int DyCheckRunning ();
void UJLibIni (jobName, argc, argv)         ;
void UJCardRead ();
struct UJclock *UJCloGet ();
void UJCloSet (clock)           ;
void UJCObAdd (iClock, object, type, name)           ;
void UJCObEnd ();
void UJCObIni ();
void UJCObSim ();
void UJclockFree (clock);
void UJclockRead (iFile);
void UJdelayRead (iFile);
void UJfileFree (file);
struct UJfile *UJfileNew (fileName, ascii);
void UJfileSetBSize (file, bufSize);
char *UJsendMsg (class, instance, msgType, param) ;
void* UJfindClockO (type, name);
void *UJfindInstance (class, instance) ;
void UJSetAll ()  /* set all banks address */;
void UJSetBA (bankName, bankType, address) /* store address for a bank*/;
void UJSetBAT (instance, type, address)   /* store address for a bank */;
void UJSetBR (bankName, bankType, address)     /* store bank reference */;
void UJSetBRT (instance, type, address)         /* store bank reference */;
void UJSetIni ()                /* init the address relocation package */;
void UJSetXR (address,ref) /* store cross reference address for a struct*/;
void UJEnd ()                                     /* print end of job  */;
void UJFree ();
void UJError (level, subroutine, message);
struct UJstructH *UJDicAddS (type,        funIni, funSim, funEnd, funRead, funFree)           ;
long UJDicGetId (type, instance);
struct UJstructH *UJDicNewSH (name)         ;
long UJQSRead (iFile) /* read one quoted string */;
void UJtimeRead (iFile);
long UJtimeGet ();
char *UJtimeGetC ();
long UJtimeGetCurrent ();
char *UJtimeGetCurrentC ();

#ifdef __cplusplus
}
#endif

#endif

